com.tibco.tea.agent.api

## Class LdapRealmConfig

- java.lang.Object
- - com.tibco.tea.agent.api.LdapRealmConfig

- All Implemented Interfaces:
    RealmConfig

      public class LdapRealmConfig
      extends Object
      implements RealmConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapRealmConfig()`
    `LdapRealmConfig(String realmName, String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getBindPassword()`
    `String` | `getBindUserDN()`
    `String` | `getDescription()`
    `String` | `getGroupIdAttribute()`
    `String` | `getGroupSearchBaseDN()`
    `String` | `getGroupSearchExpression()`
    `String` | `getGroupUsersAttribute()`
    `String` | `getRealmName()`
    `int` | `getSearchTimeOut()`
    `String` | `getServerUrl()`
    `String` | `getSubGroupsAttribute()`
    `String` | `getUserIdAttribute()`
    `String` | `getUserPasswordAttribute()`
    `String` | `getUserSearchBaseDN()`
    `String` | `getUserSearchExpression()`
    `int` | `hashCode()`
    `void` | `setBindPassword(String bindPassword)`
    `void` | `setBindUserDN(String bindUserDN)`
    `void` | `setDescription(String description)`
    `void` | `setGroupIdAttribute(String groupIdAttribute)`
    `void` | `setGroupSearchBaseDN(String groupSearchBaseDN)`
    `void` | `setGroupSearchExpression(String groupSearchExpression)`
    `void` | `setGroupUsersAttribute(String groupUsersAttribute)`
    `void` | `setRealmName(String realmName)`
    `void` | `setSearchTimeOut(int searchTimeOut)`
    `void` | `setServerUrl(String serverUrl)`
    `void` | `setSubGroupsAttribute(String subGroupsAttribute)`
    `void` | `setUserIdAttribute(String userIdAttribute)`
    `void` | `setUserPasswordAttribute(String userPasswordAttribute)`
    `void` | `setUserSearchBaseDN(String userSearchBaseDN)`
    `void` | `setUserSearchExpression(String userSearchExpression)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LdapRealmConfig

          public LdapRealmConfig()

    - #### LdapRealmConfig

          public LdapRealmConfig(String realmName,
                                 String description)

  - ### Method Detail

    - #### setRealmName

          public void setRealmName(String realmName)

    - #### getRealmName

          public String getRealmName()

    - #### setDescription

          public void setDescription(String description)

    - #### getDescription

          public String getDescription()

    - #### getServerUrl

          public String getServerUrl()

    - #### setServerUrl

          public void setServerUrl(String serverUrl)

    - #### getSearchTimeOut

          public int getSearchTimeOut()

    - #### setSearchTimeOut

          public void setSearchTimeOut(int searchTimeOut)

    - #### getBindUserDN

          public String getBindUserDN()

    - #### setBindUserDN

          public void setBindUserDN(String bindUserDN)

    - #### getBindPassword

          public String getBindPassword()

    - #### setBindPassword

          public void setBindPassword(String bindPassword)

    - #### getGroupIdAttribute

          public String getGroupIdAttribute()

    - #### setGroupIdAttribute

          public void setGroupIdAttribute(String groupIdAttribute)

    - #### getGroupUsersAttribute

          public String getGroupUsersAttribute()

    - #### setGroupUsersAttribute

          public void setGroupUsersAttribute(String groupUsersAttribute)

    - #### getSubGroupsAttribute

          public String getSubGroupsAttribute()

    - #### setSubGroupsAttribute

          public void setSubGroupsAttribute(String subGroupsAttribute)

    - #### getGroupSearchBaseDN

          public String getGroupSearchBaseDN()

    - #### setGroupSearchBaseDN

          public void setGroupSearchBaseDN(String groupSearchBaseDN)

    - #### getGroupSearchExpression

          public String getGroupSearchExpression()

    - #### setGroupSearchExpression

          public void setGroupSearchExpression(String groupSearchExpression)

    - #### getUserIdAttribute

          public String getUserIdAttribute()

    - #### setUserIdAttribute

          public void setUserIdAttribute(String userIdAttribute)

    - #### getUserSearchBaseDN

          public String getUserSearchBaseDN()

    - #### setUserSearchBaseDN

          public void setUserSearchBaseDN(String userSearchBaseDN)

    - #### getUserSearchExpression

          public String getUserSearchExpression()

    - #### setUserSearchExpression

          public void setUserSearchExpression(String userSearchExpression)

    - #### getUserPasswordAttribute

          public String getUserPasswordAttribute()

    - #### setUserPasswordAttribute

          public void setUserPasswordAttribute(String userPasswordAttribute)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.